#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
#テーマ 買い物後や、お金が貰えたときに、今どの位お金があるのかを知りたいけど、いちいち計算するのが面倒くさい人の計算を助けるプログラムです。
#背景 僕が残金を知りたくなったときに、自分の頭で計算すると誤差が出るし、電卓を使うと間違えて入力したら気がつけないので、どっちもの欠点を補えるようなプログラムを作ろうと思いました。
#アイディア  増えた時と減った時をどっちか聞いて判別する while trueを使う 間違えた時用に数字を変えれるようにする
#結果 増えた時と減った時に対応できたが、間違えた数字を変えるのが難しくできなかった。配列を使ってこのプログラムを作り、pushを使えば最後に入力した数は変更できそうだと思った。
puts"残金は増えた、減った?(増えたのなら1 減ったのなら2を入力)"
senntaku = gets.chomp.to_i

if senntaku == 1
  puts "今の残金を入力してね。(1000円なら1000と入力)"
  zannkinn = gets.chomp.to_i

  okane = 0
  
  while true
    puts "増えた額は何円?(終わりならvを入力)"
    gaku = gets.chomp

    if gaku == "v" || gaku == "V"
      break
    end

    okane += gaku.chomp.to_i
    printf("今の小計は%d円だよ.\n",okane)
  end

  zannkinn += okane.to_i  
  printf("合計は%d円です。\n",zannkinn)
end

if senntaku == 2
  puts"今の残金を入力してね。(1000円なら、1000と入力してね)"
  zannkinn = gets.chomp.to_i

  okane = 0
  while true
    puts"買った物の値段は何円?(終わりたい時はvと入力)"
    nedan = gets.chomp
    if nedan == "v" || nedan =="V"
      break
    end

    okane += nedan.to_i
    printf("今の小計は%d円だよ.\n",okane)
  end

  printf("合計は%d円だよ。\n",okane)
  zannkinn -= okane.to_i
  printf("残金は%d円です。\n",zannkinn)
end 

    
